pcl::SampleConsensusInitialAlignment< PointSource, PointTarget, FeatureT >::HuberPenalty Class Reference

`#include <pcl/registration/ia_ransac.h>`

Inheritance diagram for pcl::SampleConsensusInitialAlignment< PointSource, PointTarget, FeatureT >::HuberPenalty:

## Public Member Functions

| HuberPenalty (float threshold)
float | operator() (float e) const override
Public Member Functions inherited from pcl::SampleConsensusInitialAlignment< PointSource, PointTarget, FeatureT >::ErrorFunctor
virtual | ~ErrorFunctor ()=default

## Protected Attributes

float | threshold_

## Additional Inherited Members

Public Types inherited from pcl::SampleConsensusInitialAlignment< PointSource, PointTarget, FeatureT >::ErrorFunctor
using | Ptr = shared_ptr< ErrorFunctor >
using | ConstPtr = shared_ptr< const ErrorFunctor >

## Detailed Description

### template<typename PointSource, typename PointTarget, typename FeatureT>
class pcl::SampleConsensusInitialAlignment< PointSource, PointTarget, FeatureT >::HuberPenalty

Definition at line 100 of file ia_ransac.h.

## Constructor & Destructor Documentation

## HuberPenalty()

template<typename PointSource , typename PointTarget , typename FeatureT >

pcl::SampleConsensusInitialAlignment< PointSource, PointTarget, FeatureT >::HuberPenalty::HuberPenalty | ( | float | threshold | ) |

inline

Definition at line 105 of file ia_ransac.h.

## Member Function Documentation

## operator()()

template<typename PointSource , typename PointTarget , typename FeatureT >

float pcl::SampleConsensusInitialAlignment< PointSource, PointTarget, FeatureT >::HuberPenalty::operator() | ( | float | e | ) | const

inline override virtual

Implements pcl::SampleConsensusInitialAlignment< PointSource, PointTarget, FeatureT >::ErrorFunctor.

Definition at line 107 of file ia_ransac.h.

References pcl::SampleConsensusInitialAlignment< PointSource, PointTarget, FeatureT >::HuberPenalty::threshold_.

## Member Data Documentation

## threshold_

template<typename PointSource , typename PointTarget , typename FeatureT >

float pcl::SampleConsensusInitialAlignment< PointSource, PointTarget, FeatureT >::HuberPenalty::threshold_

protected

Definition at line 115 of file ia_ransac.h.

Referenced by pcl::SampleConsensusInitialAlignment< PointSource, PointTarget, FeatureT >::HuberPenalty::operator()().

The documentation for this class was generated from the following file:

- pcl/registration/ia_ransac.h